.c-offcanvas {
    transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    position: fixed;
    min-height: 100%;
    max-height: none;
    top: 0;
    display: block;
    background: #18191A;
    overflow-x: hidden;
    overflow-y: auto;
}

.c-offcanvas,
.c-offcanvas-bg.c-offcanvas-bg--push,
.c-offcanvas-bg.c-offcanvas-bg--reveal,
.c-offcanvas-content-wrap {
    transition: transform 0.8s cubic-bezier(0.22, 0.61, 0.36, 1);
}

.c-offcanvas.is-open {
    transform: translate3d(0, 0, 0);
    visibility: visible;
    outline-color: transparent;
}

.c-offcanvas--opening {
    transition: transform 0.8s cubic-bezier(0.22, 0.61, 0.36, 1);
}

.c-offcanvas.is-closed {
    max-height: 100%;
    overflow: hidden;
    visibility: hidden;
    box-shadow: none;
}

.c-offcanvas--overlay {
    z-index: 1080;
}

.c-offcanvas-bg {
    position: fixed;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: 1079;
    left: -100%;
    background-color: transparent;
    transition: background-color 0.4s cubic-bezier(0.23, 1, 0.32, 1) 0s;
}

.custom-menu-item a {
    transition: color 0.4s cubic-bezier(0.23, 1, 0.32, 1) 0s;
}

.c-offcanvas-bg.is-animating,
.c-offcanvas-bg.is-open {
    left: 0;
    background-color: rgba(0, 0, 0, 0.68);
    visibility: visible;
}

.c-offcanvas-bg.is-closed {
    visibility: hidden;
}

.c-offcanvas-bg--closing.is-animating {
    background: 0 0;
}

.c-offcanvas--left {
    height: 100%;
    width: 25em;
    transform: translate3d(-25em, 0, 0);
}

.c-offcanvas--right {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 70em;
    right: 0;
    transform: translate3d(70em, 0, 0);
}

.c-offcanvas--bottom,
.c-offcanvas--top {
    left: 0;
    right: 0;
    height: 12.5em;
    min-height: auto;
    width: 100%;
}

.c-offcanvas--top {
    top: 0;
    transform: translate3d(0, -12.5em, 0);
}

.c-offcanvas--bottom {
    top: auto;
    bottom: 0;
    transform: translate3d(0, 12.5em, 0);
}

.c-offcanvas-content-wrap--reveal.c-offcanvas-content-wrap--left.is-open {
    transform: translate3d(25em, 0, 0);
}

.c-offcanvas-content-wrap--reveal.c-offcanvas-content-wrap--right.is-open {
    transform: translate3d(-25em, 0, 0);
}

.c-offcanvas--reveal {
    z-index: 0;
    transform: translate3d(0, 0, 0);
}

.c-offcanvas-bg.c-offcanvas-bg--reveal.c-offcanvas-bg--left.is-open {
    transform: translate3d(25em, 0, 0);
}

.c-offcanvas-bg.c-offcanvas-bg--reveal.c-offcanvas-bg--right.is-open {
    transform: translate3d(-25em, 0, 0);
}

.c-offcanvas--push {
    z-index: 6;
}

.c-offcanvas--push--opening {
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
}

.c-offcanvas-content-wrap {
    z-index: 3;
    overflow: hidden;
}

.site-container {
    /* overflow: auto; */
    overflow: hidden;
}

.page-template-front-page .site-container,
.archive .site-container,
.page-template-archive-portfolio .site-container,
.woocommerce-account .site-container,
.woocommerce-cart .site-container,
.woocommerce-checkout .site-container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.c-offcanvas-content-wrap--push.c-offcanvas-content-wrap--left.is-open {
    transform: translate3d(25em, 0, 0);
}

.c-offcanvas-content-wrap--push.c-offcanvas-content-wrap--right.is-open {
    transform: translate3d(-25em, 0, 0);
}

.c-offcanvas-bg.c-offcanvas-bg--push.c-offcanvas-bg--left.is-open {
    transform: translate3d(25em, 0, 0);
}

.c-offcanvas-bg.c-offcanvas-bg--push.c-offcanvas-bg--right.is-open {
    transform: translate3d(-25em, 0, 0);
}

/*
Media Queries
---------------------------------------------------------------------------- */

@media only screen and (max-width: 1600px) {

    .offcanvas-content .widget_nav_menu li a, 
    ul.terms li a {
        padding: 5px 10px;
        line-height: 1.3;
    }
	
	form.search-form input[type=search] {
        margin-left: 10px;
    }

}

@media only screen and (max-width: 480px) {

    .c-offcanvas-content-wrap--reveal.c-offcanvas-content-wrap--left.is-open {
        transform: translate3d(12em, 0, 0);
    }

    .c-offcanvas-content-wrap--reveal.c-offcanvas-content-wrap--right.is-open {
        transform: translate3d(-12em, 0, 0);
    }

    .c-offcanvas-bg.c-offcanvas-bg--reveal.c-offcanvas-bg--left.is-open {
        transform: translate3d(12em, 0, 0);
    }

    .c-offcanvas-bg.c-offcanvas-bg--reveal.c-offcanvas-bg--right.is-open {
        transform: translate3d(-12em, 0, 0);
    }

    .c-offcanvas-content-wrap--push.c-offcanvas-content-wrap--left.is-open {
        transform: translate3d(12em, 0, 0);
    }

    .c-offcanvas-content-wrap--push.c-offcanvas-content-wrap--right.is-open {
        transform: translate3d(-12em, 0, 0);
    }

    .c-offcanvas-bg.c-offcanvas-bg--push.c-offcanvas-bg--left.is-open {
        transform: translate3d(12em, 0, 0);
    }

    .c-offcanvas-bg.c-offcanvas-bg--push.c-offcanvas-bg--right.is-open {
        transform: translate3d(-12em, 0, 0);
    }

}

@media only screen and (max-height: 950px) and (orientation: landscape) {

    .admin-bar .c-offcanvas {
        align-items: baseline;
    }
    
    .c-offcanvas--right {
        width: 40em;
        align-items: flex-start;
    }

}

@media screen and (min-width: 320px) and (orientation: portrait) {

    .c-offcanvas--right {
        width: 21em;
        align-items: flex-start;
    }

}